//********************
//**** MES PHOTOS ****
//********************
// ATTENTION :
// pas de format progressif
// Optimis accepte
// pas de flou

#include "elements_vide64.h"

char *MesJPEGprs[5]=
{
	"ecrans_infos", "ecrans_help", "ecrans_bravo", "ecrans_menu", "ecrans_compo"
};



void afficher_block_prs(u8 monblock)
{
	/* POSITION DE DEPART DANS LE TABLEAU DU JPEG - suivant le numro du BLOCK */
	u8 pos_depart_ligne = 0;
	u8 pos_case_y = 0;
	u8 pos_depart_colonne = 0;
	u8 pos_case_x = 0;
	u32 position_depart_block = 0;

	pos_depart_ligne = monblock / 4;
	pos_case_y = pos_depart_ligne;
	pos_depart_colonne = monblock - (pos_depart_ligne * 4);
	pos_case_x = pos_depart_colonne;

	position_depart_block = (pos_depart_colonne * 32) + (32*64*4*pos_depart_ligne);

	/* QU'ELLE ECRAN ? - suivant la case_x, case_y lu */
	u8 ecran = 1;//ecran haut
	if (pos_case_y > 2)
	{
		ecran = 0;//ecran bas
	}

	/* POSITION DE DEPART A L'ECRAN */
	u32 ecran_depart_x = 0;
	u32 ecran_depart_y = 0;
	
	ecran_depart_x = (pos_case_x * 32);//32 au lieu de 64, car valeur sur 32bits (donc 2 pixels)
	ecran_depart_y = (pos_case_y * 64);
	if (ecran == 0)
	{
		ecran_depart_y -= 192;
	}

	/* AFFICHAGE des 64x64 pixels */
	u32 etx=0;
	u32 ety=0;

	for (etx=0;etx<32;etx++)
	{
		for (ety=0;ety<64;ety++)
		{
			PA_DrawBg32[ecran][ecran_depart_x+etx + (ecran_depart_y+ety)*128] = ImageEntiereJPEG[position_depart_block+etx+(ety*128)];
		}
	}
	
}



u16 taillepioche = 0;
u16 tirage = 0;
u16 pioche[TOTALEFFET] = {};

void affichage_JPEG_prs(u8 choiximage)
{
	u8 j = 0;
	u8 i = 0;

	char szFile[256];
	siprintf(szFile,"/kukulcan/20/%s.jpg",MesJPEGprs[choiximage]);
	FILE* file = fopen(szFile, "rb");
	int size;
	u8 *buffer;
	if(file != NULL)
	{
		fseek(file, 0, SEEK_END);
		size = ftell(file);
		fseek(file, 0, SEEK_SET);
		buffer = (u8 *) malloc(size);
		fread(buffer, 1, size, file);
		fclose(file);

		REG_IME = 0x00;//dsactiver la VBL
		JPEG_DecompressImage((void*)buffer,(void*)ImageEntiereJPEG,256,384);
		REG_IME = 0x01;//r-activer la VBL

		free(buffer);
	}

	//remplir la pioche ?
	if (taillepioche == 0)
	{
		//remplir la pioche
		for (i=0; i<TOTALEFFET; i++)
		{
			pioche[i] = i;
		}
		taillepioche = TOTALEFFET;
	}
	u8 valeur_last = 0;
	u8 valeur_tirer = 0;
	//tirage
	tirage = PA_RandMinMax(0, taillepioche - 1); // 0 a TOTALEFFET - 1 (a cause du zro)
		//lire la dernire valeur de la pioche
		valeur_last = pioche[taillepioche-1];
		//lire la valeur tire
		valeur_tirer = pioche[tirage];
		//passer la valeur tire en dernier
		pioche[taillepioche-1] = valeur_tirer;
		//passer la valeur qui tait avant en dernier a la place de celle qui a t tire
		pioche[tirage] = valeur_last;

		//la pioche est moins grande maintenant
		taillepioche--;

	for (j=0;j<24;j++)
	{
		afficher_block_prs(effets[valeur_tirer][j]);
		PA_WaitForVBL();PA_WaitForVBL();
	}
}

void affichage_JPEG_gallery(u8 choiximage)
{
	u8 j = 0;
	u8 i = 0;

	char szFile[256];
	siprintf(szFile,"/kukulcan/20/%s.jpg",MesJPEGjeu[WORLD][choiximage]);
	FILE* file = fopen(szFile, "rb");
	int size;
	u8 *buffer;
	if(file != NULL)
	{
		fseek(file, 0, SEEK_END);
		size = ftell(file);
		fseek(file, 0, SEEK_SET);
		buffer = (u8 *) malloc(size);
		fread(buffer, 1, size, file);
		fclose(file);

		REG_IME = 0x00;//dsactiver la VBL
		JPEG_DecompressImage((void*)buffer,(void*)ImageEntiereJPEG,256,384);
		REG_IME = 0x01;//r-activer la VBL

		free(buffer);
	}


	//remplir la pioche ?
	if (taillepioche == 0)
	{
		//remplir la pioche
		for (i=0; i<TOTALEFFET; i++)
		{
			pioche[i] = i;
		}
		taillepioche = TOTALEFFET;
	}
	u8 valeur_last = 0;
	u8 valeur_tirer = 0;
	//tirage
	tirage = PA_RandMinMax(0, taillepioche - 1); // 0 a TOTALEFFET - 1 (a cause du zro)
		//lire la dernire valeur de la pioche
		valeur_last = pioche[taillepioche-1];
		//lire la valeur tire
		valeur_tirer = pioche[tirage];
		//passer la valeur tire en dernier
		pioche[taillepioche-1] = valeur_tirer;
		//passer la valeur qui tait avant en dernier a la place de celle qui a t tire
		pioche[tirage] = valeur_last;

		//la pioche est moins grande maintenant
		taillepioche--;

	for (j=0;j<24;j++)
	{
		afficher_block_prs(effets[valeur_tirer][j]);
		PA_WaitForVBL();PA_WaitForVBL();
	}
}
