u8 moncanal = 10;

u8 mus_file[1024*800];//800 Ko max
u8 sfx_file[1024*64];//64 Ko max


u8 etat_musique = 0;
void gestion_musique()
{
	if (etat_musique == 0)
	{
		FILE* file = fopen("/kukulcan/20/musique_satan.raw", "rb");
		int size;
		if(file != NULL)
		{
			fseek(file, 0, SEEK_END);
			size = ftell(file);
			fseek(file, 0, SEEK_SET);
			fread(mus_file, 1, size, file);
			fclose(file);

			//musique infini
			PA_PlaySoundEx2(0, //channel
					mus_file, //const void* data
					763777,//s32 length
					127,//u8 volume (0 a 127)
					11025,//int freq (.rate)
					0,//, s16 format
					1,//BOOL repeat, 1 = REPEAT
					0//int repeatPoint
					);
			etat_musique = 1;
		}
	}
	else
	{
		PA_StopSound(0);
		etat_musique = 0;
	}
}

void chargementDLDIbruitage(char *nomzic)
{
	FILE* file = fopen(nomzic, "rb");
	int size;
	if(file != NULL)
	{
		fseek(file, 0, SEEK_END);
		size = ftell(file);
		fseek(file, 0, SEEK_SET);
		fread(sfx_file, 1, size, file);
		fclose(file);

		moncanal++;
		if (moncanal > 15)
		{
			moncanal = 10;
		}
		PA_PlaySoundEx(moncanal, sfx_file, size, PA_SoundOption.volume, PA_SoundOption.freq, PA_SoundOption.format);
	}
}

void son_gagner()
{
	chargementDLDIbruitage("/kukulcan/20/bruitage_gagner.raw");
}

void son_bad()
{
	chargementDLDIbruitage("/kukulcan/20/bruitage_bad.raw");
}

void son_clik()
{
	chargementDLDIbruitage("/kukulcan/20/bruitage_click.raw");
}

void son_quitter()
{
	chargementDLDIbruitage("/kukulcan/20/bruitage_quitter.raw");
}

void son_grille()
{
	chargementDLDIbruitage("/kukulcan/20/bruitage_grille.raw");
}

void son_info()
{
	chargementDLDIbruitage("/kukulcan/20/bruitage_info.raw");
}

void son_game()
{
	chargementDLDIbruitage("/kukulcan/20/bruitage_game.raw");
}

void son_bouger()
{
	chargementDLDIbruitage("/kukulcan/20/bruitage_bouger.raw");
}

void son_bisou()
{
	chargementDLDIbruitage("/kukulcan/20/bruitage_bisou.raw");
}

void voice_help()
{
	chargementDLDIbruitage("/kukulcan/20/voix_help.raw");
}

void voice_images()
{
	chargementDLDIbruitage("/kukulcan/20/voix_images.raw");
}

void voice_info()
{
	chargementDLDIbruitage("/kukulcan/20/voix_info.raw");
}

void voice_play()
{
	chargementDLDIbruitage("/kukulcan/20/voix_play.raw");
}
