void temporisation(u16 temps)
{
	u16 z = 0;
	while (z < temps)
	{
		z++;
		PA_WaitForVBL();
	}
}

void attente_ou_touche(u16 temps)
{
	u16 z = 0;
	while (z < temps)
	{
		z++;
		//test stylus ou pad
		if(Stylus.Newpress || Pad.Newpress.A) {z = temps;}
		PA_WaitForVBL();
	}
	Stylus.Newpress = false;
	Pad.Newpress.A = false;
}

void pause()
{
	Stylus.Newpress = false;
	Pad.Newpress.Select = false;
	u8 z=0;
	while(z==0)
	{
		PA_WaitForVBL();
		if (Stylus.Newpress || Pad.Newpress.Anykey) {z=1;}
	}
	Stylus.Newpress = false;
	Pad.Newpress.Anykey = false;
}

void effacer_texte(u8 ecran)
{
	u8 i = 0;
	for (i=0;i<24;i++)
	{
		PA_OutputText(ecran, 0, i, "%s",txtVIDE);
	}
}

void aff_grille()
{
	u8 i = 0;
	//HAUT
	u8 ecran = 1;
	for (i=0;i<24;i++)
	{
		if (i == 7 || i == 15)
		{
			PA_OutputText(ecran, 0, i, "%s",txtLIG2);
		}
		else
		{
			PA_OutputText(ecran, 0, i, "%s",txtLIG1);
		}
	}
	/*
	PA_OutputSimpleText(ecran, 0, 0, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 1, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 2, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 3, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 4, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 5, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 6, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 7, "sssssssstssssssstssssssstsssssss");

	PA_OutputSimpleText(ecran, 0, 8,  "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 9,  "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 10, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 11, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 12, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 13, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 14, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 15, "sssssssstssssssstssssssstsssssss");

	PA_OutputSimpleText(ecran, 0, 16, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 17, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 18, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 19, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 20, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 21, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 22, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 23, "        r       r       r       ");
	*/

	//BAS
	ecran = 0;

	for (i=0;i<23;i++)
	{
		if (i == 7 || i == 15)
		{
			PA_OutputText(ecran, 0, i, "%s",txtLIG2);
		}
		else
		{
			PA_OutputText(ecran, 0, i, "%s",txtLIG1);
		}
	}
	/*
	PA_OutputSimpleText(ecran, 0, 0,  "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 1,  "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 2,  "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 3,  "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 4,  "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 5,  "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 6,  "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 7,  "sssssssstssssssstssssssstsssssss");

	PA_OutputSimpleText(ecran, 0, 8,  "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 9,  "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 10, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 11, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 12, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 13, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 14, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 15, "sssssssstssssssstssssssstsssssss");

	PA_OutputSimpleText(ecran, 0, 16, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 17, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 18, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 19, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 20, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 21, "        r       r       r       ");
	PA_OutputSimpleText(ecran, 0, 22, "        r       r       r       ");
	*/
	if (bg_info == 0)
	{
		//info non visible
		//PA_OutputSimpleText(ecran, 0, 23, "        r       r       r       ");
		PA_OutputText(ecran, 0, 23, "%s",txtLIG1);
	}

}

void masquer_grille()
{
	//ecran haut
	effacer_texte(1);

	//ecran bas
	u8 i = 0;
	u8 lignefin = 24;
	if (bg_info == 1)
	{
		//info_visible
		lignefin = 23;//en fait 23 non inclus, il reste la dernire ligne
	}

	for (i=0;i<lignefin;i++)
	{
		PA_OutputText(0, 0, i, "%s",txtVIDE);
	}
}


void masquer_info()
{
	if (bg_grille == 1)
	{
		//effacer la ligne INFO en affichant la ligne manquante de la grille
		PA_OutputText(0, 0, 23, "%s",txtLIG1);
	}
	else
	{
		//effacer la ligne INFO car grille non visible
		PA_OutputText(0, 0, 23, "%s",txtVIDE);
	}
}

