typedef struct
{
	u8 ETAT;//0 = CADENAS, 1 = ACCES (vide), 2 = Coche verte fini
} hiscoretype;

hiscoretype hiscore[NBWORLD][LEVELMAX];

void defaut_hiscore()
{
	u8 i,j;

	for (j=0;j<NBWORLD;j++)
	{
		hiscore[j][0].ETAT = 1;//ACCES
		hiscore[j][1].ETAT = 1;//ACCES
		hiscore[j][2].ETAT = 1;//ACCES
		for (i=3; i<LEVELMAX; i++)
		{
			hiscore[j][i].ETAT = 0;//bloqu
		}
	}
}

void cheat_code()
{
	u8 i,j;

	for (j=0;j<NBWORLD;j++)
	{
		for (i=0; i<LEVELMAX; i++)
		{
			hiscore[j][i].ETAT = 1;//libre d'accs
		}
	}
}


void save_hiscore()
{
	u32 uNbO = 0;//nb d'octet crit
	if (isDLDISystem)
	{
		//chdir(szDLDIDir);
		FILE* handle = fopen(FILEGAME, "w");//ouverture du fichier en criture
		//PA_OutputText(1, 0, 18, "HANDLE : %d   ", handle);
		if (handle != 0)
		{
			//mon tableau se basant sur la structure, taille structure, 1 = criture en octet, handle du fichier ouvert
			uNbO = fwrite(&hiscore, sizeof(hiscore),1, handle);//tableau en mmoire, taille du tableau, un seul tableau, fichier
			//PA_OutputText(1, 0, 19, "UNB0 : %d   ", uNbO);
			//fermeture
			fclose(handle);
		}
	}
}


void load_hiscore()
{
	u8 erreur = 0;

	if (isDLDISystem)
	{
		//chdir(DIRGAME);
		FILE* handle = fopen(FILEGAME, "r");//ouverture du fichier en lecture
		//PA_OutputText(1, 0, 19, "%d   ", handle);
		if (handle != 0)
		{
			//OUI - Lire les donnes
			fread(&hiscore, sizeof(hiscore), 1, handle);//tableau en mmoire, taille structure, nb enregistrement, fichier
			fclose(handle);
		}
		else
		{
			erreur = 1;
		}
	}
	else
	{
		erreur = 1;
	}

	if (erreur == 1)
	{
		//ERREUR
		defaut_hiscore();
		//crer le fichier par dfaut
		save_hiscore();
	}
}
